/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VUniqueName;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VUniqueNameRecord extends TableRecordImpl<VUniqueNameRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_unique_name.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_unique_name.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_unique_name.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_unique_name.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VUniqueNameRecord
     */
    public VUniqueNameRecord() {
        super(VUniqueName.V_UNIQUE_NAME);
    }

    /**
     * Create a detached, initialised VUniqueNameRecord
     */
    public VUniqueNameRecord(Integer keyElement, String uniqueName) {
        super(VUniqueName.V_UNIQUE_NAME);

        setKeyElement(keyElement);
        setUniqueName(uniqueName);
        resetChangedOnNotNull();
    }
}
